Issue 105185

Summary: extensions: no online help for presenter console
Product: General Reporter: malte_timmermann
Component: uiAssignee: wolframgarten
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P3 CC: issues, rene, uwefis
Version: OOO310m9Keywords: accessibility
Target Milestone: OOo 3.3   
Hardware: PC   
OS: Windows, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 105764    
Issue Blocks: 99999    

Description malte_timmermann 2009-09-18 16:44:32 UTC
We need some online help for the presenter console, where also keyboard
shortcuts are documented.

Please give content details to UFI.The component's main window will need some
help id, people from the framework team might be able to answer your questions.
Comment 1 malte_timmermann 2009-09-18 16:45:53 UTC
Please update the extension in the 3.2 time frame - documented keyboard
shortcuts are important for accessibility
Comment 2 groucho266 2009-09-21 16:33:49 UTC
Added help file that lists the available keyboard shortcuts.

SVN revision of the file changes is 276337.
Comment 3 groucho266 2009-09-21 16:36:54 UTC
Marked as show stopper.
Comment 4 groucho266 2009-09-22 09:13:27 UTC
Increased the version number of the extension to 1.0.3

SVN revision is 276345
Comment 5 groucho266 2009-10-12 09:12:08 UTC
Issue 105764 prevents the extension from being initialized and thus from being
tested.  The help page, however, is still installed properly.
Comment 6 groucho266 2009-10-15 09:27:19 UTC
Integrated fix for issue 105764 so that the extension can be properly tested.

SVN revision for this change (in framework) is 276928 (that of issue 105764 is
276822).
Comment 7 groucho266 2009-10-19 10:22:36 UTC
@wg: Please verify.
Comment 8 wolframgarten 2009-10-19 13:01:29 UTC
Verified in CWS.
Comment 9 rene 2009-12-15 15:32:38 UTC
$ cat cws-impressaccessibility5.diff | diffstat
 framework/source/jobs/job.cxx                                                 
       |    2 
 sdext/source/presenter/PresenterSlideShowView.cxx                             
       |    9 
 sdext/source/presenter/description.xml                                        
       |    2 
 sdext/source/presenter/help/en-US/com.sun.PresenterScreen-linux_x86/presenter.xhp     |  189 
 sdext/source/presenter/help/en-US/com.sun.PresenterScreen-macosx_x86/presenter.xhp    |  189 
 sdext/source/presenter/help/en-US/com.sun.PresenterScreen-solaris_sparc/presenter.xhp |  189 
 sdext/source/presenter/help/en-US/com.sun.PresenterScreen-windows_x86/presenter.xhp   |  189 
 sdext/source/presenter/makefile.mk                                            
       |   18 
 sdext/source/presenter/manifest.xml                                           
       |    4 
[...]

Hrm. Why help files specific for archs? (oses might be ok, but there's more on
Linux than x86)? Will the Linux help only end up on i386 and other archs have
none? That would be bad...
Comment 10 malte_timmermann 2010-01-08 09:12:03 UTC
Fixed and integrated => closing now..
Comment 11 rene 2010-01-08 09:40:38 UTC
but only integrated for 3.3...

and can yonyone answer to my question wrt arch-specifics above, please? :)